<script lang="ts" context="module">
import { goto } from '$app/navigation';

import * as Api from '../api/Api'

export async function load({session}) {
    if (!session.sess || session.sess == "") {
        return {
            status: 302,
            redirect: '/login'
        }
    } else {
        return Api.Auth.check(session.sess)
            .then(sessInfo => Api.User.get(session.sess, sessInfo.sessionInfo.user).then(user => {
                return {
                    status: 200,
                    props: {
                        usr: user
                    }
                }
            })).catch(() => {
                return {
                    status: 302,
                    redirect: '/login'
                }
            });
    }
}
</script>
<script lang="ts">
import Button from "../components/Button.svelte";

export let usr: Api.UserInfo;
</script>
<svelte:head>
    <title>AZtendance</title>
</svelte:head>
<style>
    a {
        color: inherit;
    }
    a:hover {
        text-decoration: none;
    }
</style>
{#if !usr}
<h2>Welcome to AZtendance!</h2>
<p>
    AZtendance is the attendance tracking system used by
    <a href="https://team6479.org">FRC Team 6479 - AZTECH Robotics</a>.
</p>
<p>
    Be sure to sign in at the beginning of each meeting
    and sign out at the end!
</p>

<Button content="Login" theme="primary" href="/login" />

<Button content="QR" theme="secondary" href="/qr" />
{:else}
<h2>Welcome, {usr.name}!</h2>

<Button content="Join / Leave Meeting" theme="primary" href="/join" />
<Button content="View Profile" theme="secondary" href="/users/{usr.usr}" />
<Button content="Logout" theme="secondary" href="/logout" />

{#if usr.sudo}
<h3>Sudo Options</h3>
<Button content="List Users" theme="secondary" href="/users" />
<Button content="Create User" theme="secondary" href="/create/user" />
<Button content="Create Meeting" theme="secondary" href="/create/meeting" />
<Button content="End Meeting" theme="secondary" href="/end/meeting" />
{/if}

<p>Many more options coming soon...</p>
{/if}